# $Revision: 1.63.2.20 $, $Date: 2003/12/07 17:36:50 $
#
# Conditional build:
# _without_patchedkernel - without ippool, prestate, log (which requires patched 2.4.x kernel)
# _without_howto - without documentation (HOWTOS) which needed TeX.
#
%define		netfilter_snap	20030605
%define		iptables_version	1.2.8
Summary:	extensible packet filtering system && extensible NAT system
Summary(pl):	system filtrowania pakietw oraz system translacji adresw (NAT)
Name:		iptables
%if %{netfilter_snap} != 0
Version:	%{iptables_version}_%{netfilter_snap}
%else
Version:	%{iptables_version}
%endif
%define		_rel	6
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Networking/Daemons
URL:		http://www.netfilter.org/
Vendor:		Netfilter mailing list <netfilter@lists.samba.org>
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5	d2cb6d4f7a5886f64f9274b4b415d529
Source1:	cvs://cvs.samba.org/netfilter/%{name}-howtos.tar.bz2
Patch0:		%{name}-man.patch
Patch3:		http://luxik.cdi.cz/~patrick/imq/iptables-1.2.6a-imq.diff-3
Patch4:		grsecurity-%{iptables_version}-iptables.patch
# patches from netfilter
Patch10:	ipt_REJECT-fake-source.patch.userspace
Patch11:	mark-bitwise-ops.patch.userspace
Patch12:	raw.patch.userspace
Patch13:	raw.patch.ipv6.userspace
Patch14:	40_nf-log.patch.userspace
Patch15:	%{name}-name-fix.patch
Patch16:	%{name}-1.2.8-ipt_p2p.patch
%{?!_without_howto:BuildRequires:	sgml-tools}
%{?!_without_howto:BuildRequires:	sgmls}
%{?!_without_howto:BuildRequires:	tetex-latex}
%{?!_without_howto:BuildRequires:	tetex-dvips}
%{?!_without_howto:BuildRequires:	/usr/bin/groff}
BuildRequires:	perl
%if %{netfilter_snap} != 0
%{!?_without_patchedkernel:BuildRequires:	kernel-headers(netfilter) = %{iptables_version}-%{netfilter_snap}}
%else
%{!?_without_patchedkernel:BuildRequires:	kernel-headers(netfilter) = %{iptables_version}}
%endif
%{!?_without_patchedkernel:BuildRequires:       kernel-source >= 2.4}
BuildConflicts:	kernel-headers < 2.3.0
Obsoletes:	netfilter
Obsoletes:	ipchains
%if %{netfilter_snap} != 0
%{!?_without_patchedkernel:Requires:	kernel(netfilter) = %{iptables_version}-%{netfilter_snap}}
%else
%{!?_without_patchedkernel:Requires:	kernel(netfilter) = %{iptables_version}}
%endif

Provides:	firewall-userspace-tool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc

%description
An extensible NAT system, and an extensible packet filtering system.
Replacement of ipchains in 2.4 kernels.

%description -l pl
Wydajny system translacji adresw (NAT) oraz system filtrowania
pakietw. Zamiennik ipchains w jdrach 2.4

%package devel
Summary:	Libraries and headers for developing iptables extensions
Summary(pl):	Biblioteki i nagwki do tworzenia rozszerze iptables
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Libraries and headers for developing iptables extensions.

%description devel -l pl
Biblioteki i pliki nagwkowe niezbdne do tworzenia rozszerze dla
iptables.

%prep
%setup -q -a1
%patch0 -p1
%{!?_without_patchedkernel:%patch3 -p1}
%{!?_without_patchedkernel:%patch4 -p1}
%{!?_without_patchedkernel:%patch10 -p1}
%{!?_without_patchedkernel:%patch11 -p1}
%{!?_without_patchedkernel:%patch12 -p1}
%{!?_without_patchedkernel:%patch13 -p1}
%{!?_without_patchedkernel:%patch14 -p1}
%{!?_without_patchedkernel:%patch15 -p1}
%{!?_without_patchedkernel:%patch16 -p1}

chmod 755 extensions/.*-test*
##mv -f extensions/.NETLINK.test extensions/.NETLINK-test
perl -pi -e 's/\$\(HTML_HOWTOS\)//g; s/\$\(PSUS_HOWTOS\)//g' iptables-howtos/Makefile

%build
%{__make} depend 2> /dev/null || :
%{__make} CC="%{__cc}" \
	COPT_FLAGS="%{rpmcflags} -D%{!?debug:N}DEBUG" \
	LIBDIR="%{_libdir}" \
	all experimental

%{?!_without_howto:%{__make} -C iptables-howtos}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/iptables,%{_mandir}/man3}

echo ".so iptables-save.8" > ip6tables-save.8
echo ".so iptables-restore.8" > ip6tables-restore.8

%{__make} install install-experimental \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}

echo ".so iptables.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ip6tables.8

# Devel stuff
cp -a include/* $RPM_BUILD_ROOT%{_includedir}/iptables
install lib*/lib*.a $RPM_BUILD_ROOT%{_libdir}
install libipq/*.3 $RPM_BUILD_ROOT%{_mandir}/man3

%{!?_without_patchedkernel:install ippool/lib*.a $RPM_BUILD_ROOT%{_libdir}}
%{!?_without_patchedkernel:install ippool/ippool $RPM_BUILD_ROOT%{_sbindir}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{?!_without_howto:%doc iptables-howtos/{NAT,networking-concepts,packet-filtering}-HOWTO*}

%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/iptables
%attr(755,root,root) %{_libdir}/iptables/*.so

%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%{?!_without_howto:%doc iptables-howtos/netfilter-hacking-HOWTO*}
%{_libdir}/lib*.a
%{_includedir}/iptables
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: iptables.spec,v $
Revision 1.63.2.20  2003/12/07 17:36:50  marcus
- added BR

Revision 1.63.2.19  2003/12/07 17:17:53  marcus
- rel.6. for 2.4.20-11

Revision 1.63.2.18  2003/12/01 10:11:08  twittner
- Source1 fixed (forgotten '}')

Revision 1.63.2.17  2003/11/27 22:54:38  zytek
- BR: kernel-source (for patch-o-matic modules detection)
- revert last change (Source1 bcond'ed)

Revision 1.63.2.16  2003/11/23 23:56:57  zytek
- do not download howto's when --without howto used

Revision 1.63.2.15  2003/11/03 12:31:33  cieciwa
- added ipt_p2p,
- downgrade to 1.2.8, cooperation with kernel
- fixed.

Revision 1.63.2.14  2003/09/29 16:48:07  cieciwa
- updated - snap 20030924

Revision 1.63.2.13  2003/09/24 13:01:46  cieciwa
- snapshot 20030924

Revision 1.63.2.12  2003/09/24 12:58:39  cieciwa
- md5sum added.

Revision 1.63.2.11  2003/06/07 11:43:48  cieciwa
- updated for last snap 2003 06 05

Revision 1.63.2.12  2003/06/05 11:19:22  cieciwa
- release 5,
- update for 2003 06 05 snap,
- fixed IPMARK compile.

Revision 1.63.2.11  2003/05/27 09:06:38  cieciwa
- changed bcond from without_tex to without_howto

Revision 1.63.2.10  2003/05/18 11:51:38  cieciwa
- updated for snap 20030518,
- updated grsecurity patch.

Revision 1.63.2.9  2003/05/15 09:24:49  qboosh
- missing dir

Revision 1.63.2.8  2003/04/23 13:13:48  cieciwa
- release 2,
- updated to snapshot 20030418.

Revision 1.63.2.7  2003/04/14 07:08:58  cieciwa
- fixed typo.

Revision 1.63.2.6  2003/04/14 06:52:39  cieciwa
- updated to version 1.2.8.

Revision 1.63.2.5  2003/04/03 15:23:02  cieciwa
- fixed BuildRequires:

Revision 1.63.2.4  2003/04/01 06:46:00  cieciwa
- release 8,
- updated to netfilter from 20030326.

Revision 1.63.2.3  2003/03/20 14:46:47  cieciwa
- uncommented requires.

Revision 1.63.2.2  2003/03/14 09:49:18  cieciwa
- prepared for 2.4.20-4.

Revision 1.63.2.1  2003/02/05 11:33:36  cieciwa
- release 7,
- updated to version from CVS to solve problem with new netfilter features.

Revision 1.63  2003/01/31 07:58:53  cieciwa
- release 6,
- s/kernel_netfilter/kernel(netfilter)/.

Revision 1.60.2.15  2002/12/10 10:16:12  cieciwa
- release 5,
- fixed IMQ module,
- ready for 2.4.20 kernel.

Revision 1.60.2.14  2002/10/23 08:45:48  cieciwa
- release 4,
- moved back include from /usr/linclude to /usr/include/iptables,
- changeing patch12 and fixed "-p" to -p1,
- NOT merged with kernel netfilter.

Revision 1.60.2.13  2002/10/23 07:01:52  cieciwa
- moved include from /usr/include/iptables/* to /usr/include/ where other
  program loking for it.

Revision 1.60.2.12  2002/10/23 06:47:53  cieciwa
- patch12 MUST BE -p0 !!!!

Revision 1.60.2.11  2002/10/21 18:06:11  baggins
- patch12 -p1

Revision 1.60.2.10  2002/10/04 08:51:26  cieciwa
- fixed bcond's.

Revision 1.60.2.9  2002/10/04 06:42:00  cieciwa
- added %%{_kernel_ver_str} to release.

Revision 1.60.2.8  2002/10/03 20:57:35  misiek
- without tex bcond

Revision 1.60.2.7  2002/09/24 18:12:45  baggins
- added grsecurity patch

Revision 1.60.2.6  2002/09/23 15:17:36  baggins
- release 3
- updated patch-o-matic userspace patches

Revision 1.60.2.5  2002/09/09 09:26:36  cieciwa
- release 2,
- readu to use with kernel-2.4.19.

Revision 1.60.2.4  2002/09/09 09:14:50  cieciwa
- updated patches fro patch-o-matic-20020825,
- added patch12,
- fixed requires [1.2.7 -> 1.2.7a].

Revision 1.60.2.3  2002/09/05 17:21:43  baggins
- removed patches 1 and 2, they are obsolete and outdated

Revision 1.60.2.2  2002/08/27 09:55:58  misiek
- 1.2.7a; nfy

Revision 1.60.2.1  2002/08/10 22:49:32  misiek
- 1.2.7 with imq patch

Revision 1.57  2002/06/10 07:40:24  cieciwa
- added BuildRequires: kernel_netfilter = 1.2.7

Revision 1.56  2002/06/10 06:29:16  cieciwa
- updated to version 1.2.7,
- added Requires: kernel_netfilter = 1.2.7 due to required header file.

Revision 1.55  2002/05/29 22:36:57  misiek
- rebuild with new kernel headers

Revision 1.54  2002/05/08 15:28:27  ggodlewski
- updated to 1.2.6a

Revision 1.53  2002/04/25 16:37:18  arturs
fixed a small typo

Revision 1.52  2002/03/27 14:20:26  wojrus
- added Provides: firewall-userspace-tool

Revision 1.51  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2002/01/17 14:07:49  misiek
- build debugging version only when requested

Revision 1.47  2002/01/14 00:23:30  misiek
- updated to 1.2.5

Revision 1.46  2001/11/24 15:05:08  qboosh
- adapterized, removed obsolete fix patch

Revision 1.45  2001/11/22 12:59:00  cieciwa
- updated to version 1.2.4.
NFY

Revision 1.44  2001/10/15 10:56:51  blues
- added fix patch - weak fixes, but work (v4 at least)

Revision 1.43  2001/09/23 14:14:17  orzech
- added %description devel -l pl

Revision 1.42  2001/09/23 14:06:43  orzech
- updated to 1.2.3
- updated URLs

Revision 1.41  2001/08/04 13:52:05  qboosh
- _without_ippool changed to _without_patchedkernel - more features require
  patched kernel (don't compile with vanilla 2.4.7)

Revision 1.40  2001/05/22 09:06:23  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.39  2001/05/21 16:41:44  baggins
- one more typo-fixing patch

Revision 1.38  2001/05/21 15:56:37  baggins
- typo

Revision 1.37  2001/05/21 15:52:55  baggins
- release 3
- added some fixes
- new table (prestate)
- log patch (-l option for iptables)

Revision 1.36  2001/05/21 01:38:31  baggins
- relase 2
- better ipv6-icmp fix

Revision 1.35  2001/05/12 18:22:55  qboosh
- _without_ippoll (ippool requires patched 2.4.x kernel)

Revision 1.34  2001/05/09 10:56:31  blues
- specs updated

Revision 1.33  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.32  2001/04/25 21:40:02  blues
- buildreq tetex-dvips
NOTE: making docs is really dirty. Can someone look at that?

Revision 1.31  2001/04/25 14:35:25  blues
- added tetex-latex to build-req

Revision 1.30  2001/03/19 19:47:00  baggins
- allow NETLINK extension to build

Revision 1.29  2001/03/19 19:44:44  baggins
- updated to 1.2.1a
- removed obsoleted CVS patch

Revision 1.28  2001/03/02 19:54:43  baggins
- release 6
- updated CVS patch
- added devel package

Revision 1.27  2001/02/22 18:37:58  waszi
- removed BuildRequires: mysql-devel

Revision 1.26  2001/02/20 17:18:41  baggins
- release 5
- news CVS patch

Revision 1.25  2001/02/19 18:08:10  baggins
- release 4
- added CVS patch
- added ipv6-icmp fix
- dropped rc.firewall script (use firewall-init-2.99.0/3.0.0)

Revision 1.24  2001/02/05 17:15:36  baggins
- release 3
- better psd (port scan detection) patch (match, not target)
- build all docs as txt and ps (html sucks)

Revision 1.23  2001/02/01 16:53:57  baggins
- release 2
- moved ulogd stuff into separate spec
- added PSD (port scan detection) patch

Revision 1.22  2001/01/08 09:49:37  misiek
updated to 1.2

Revision 1.21  2000/10/24 20:29:15  baggins
- split mysql stuff into its own package

Revision 1.20  2000/10/20 20:33:05  misiek
added BuildRequires:  mysql-devel

Revision 1.19  2000/10/20 19:40:55  misiek
BuildRequires: sgmls added

Revision 1.18  2000/10/20 15:06:12  baggins
- updated to iptables 1.1.2 and ulog 0.3

Revision 1.17  2000/08/12 03:17:55  baggins
- release 3
- added ulogd patch
- simplified build

Revision 1.16  2000/08/10 18:42:01  baggins
- release 2
- spec adapterized
- added netfilter_ULOG to sources
- added ULOG target support to iptables
- added ulog daemon

Revision 1.15  2000/07/14 14:53:12  baggins
- typo

Revision 1.14  2000/07/14 14:21:27  baggins
- updated to 1.1.1
- removed obsoleted IPv6 patch

Revision 1.13  2000/07/04 14:30:36  baggins
- release 5
- rc.firewall now knows about IPv6

Revision 1.12  2000/07/04 13:00:22  baggins
- release 4
- added IPv6 functionality from CVS

Revision 1.11  2000/06/28 17:19:59  baggins
- release 3
- removed ipv6-enable patch
- added patch from CVS for real support of IPv6

Revision 1.10  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/30 20:28:18  baggins
- release 2
- IPv6 on

Revision 1.8  2000/05/18 17:57:20  baggins
- updated to 1.1.0

Revision 1.7  2000/04/06 16:08:44  baggins
- version 1.0.0

Revision 1.6  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/30 08:01:47  waszi
- updated for 1.0.0beta version

Revision 1.4  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.3  2000/03/27 15:44:25  misiek
- adaptized && fixed URL

Revision 1.2  2000/03/27 15:42:17  misiek
- added manuals
